Page MenuHomePhabricator

Fatal error: Call to a member function doTransform() on a non-object in TimedMediaThumbnail.php on line 201
Closed, ResolvedPublic

Description

[2014-04-20 13:07:27] Fatal error: Call to a member function doTransform() on a non-object at /usr/local/apache/common-local/php-1.23wmf22/extensions/TimedMediaHandler TimedMediaThumbnail.php on line 201
Server: mw1159
Method: GET
URL: http://commons.wikimedia.org/w/thumb_handler.php/2/2c/Closed_Friedmann_universe_zero_Lambda.ogg/220px--Closed_Friedmann_universe_zero_Lambda.ogg.jpg
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf22/extensions/TimedMediaHandler/TimedMediaThumbnail.php(201): TimedMediaThumbnail::resizeThumb()
#1 /usr/local/apache/common-local/php-1.23wmf22/extensions/TimedMediaHandler/TimedMediaThumbnail.php(19): TimedMediaThumbnail::resizeThumb(Array)
#2 /usr/local/apache/common-local/php-1.23wmf22/extensions/TimedMediaHandler/TimedMediaHandler_body.php(393): TimedMediaThumbnail::get(Array)
#3 /usr/local/apache/common-local/php-1.23wmf22/includes/filerepo/file/File.php(1027): TimedMediaHandler->doTransform(Object(LocalFile), '/tmp/transform_...', '//upload.wikime...', Array)
#4 /usr/local/apache/common-local/php-1.23wmf22/thumb.php(319): File->transform(Array, 1)
#5 /usr/local/apache/common-local/php-1.23wmf22/thumb.php(85): wfStreamThumb(Array)
#6 /usr/local/apache/common-local/php-1.23wmf22/thumb.php(32): wfThumbHandle404()
#7 /usr/local/apache/common-local/php-1.23wmf22/thumb_handler.php(29): require('/usr/local/apac...')
#8 /usr/local/apache/common-local/w/thumb_handler.php(3): require('/usr/local/apac...')
#9 {main}


Version: unspecified
Severity: normal

Details

Reference
bz64152

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.
bzimport set Reference to bz64152.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Apr 20 2014, 1:07 PM

Change 127617 had a related patch set uploaded by Reedy:
Fix Fatal error: Call to a member function doTransform()

https://gerrit.wikimedia.org/r/127617

Change 127618 had a related patch set uploaded by Reedy:
Fix Fatal error: Call to a member function doTransform()

https://gerrit.wikimedia.org/r/127618

Change 127619 had a related patch set uploaded by Reedy:
Fix Fatal error: Call to a member function doTransform()

https://gerrit.wikimedia.org/r/127619

Change 127618 merged by jenkins-bot:
Fix Fatal error: Call to a member function doTransform()

https://gerrit.wikimedia.org/r/127618

Change 127619 merged by jenkins-bot:
Fix Fatal error: Call to a member function doTransform()

https://gerrit.wikimedia.org/r/127619

Change 127617 merged by jenkins-bot:
Fix Fatal error: Call to a member function doTransform()

https://gerrit.wikimedia.org/r/127617

Assuming this bug is FIXED as all patches are committed to all branches.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:54 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJan 28 2016, 5:56 PM